## oggmux oggmux — mux ogg streams (info about ogg: http://xiph.org) |

## Synopsis

                        GstOggMux;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstOggMux

## Properties

      "max-delay"                guint64               : Read / Write
      "max-page-delay"           guint64               : Read / Write

## Description

This element merges streams (audio and video) into ogg files.

### Example pipelines

    gst-launch v4l2src num-buffers=500 ! video/x-raw-yuv,width=320,height=240 ! ffmpegcolorspace ! theoraenc ! oggmux ! filesink location=video.ogg

Encodes a video stream captured from a v4l2-compatible camera to Ogg/Theora (the encoding will stop automatically after 500 frames)

Last reviewed on 2008-02-06 (0.10.17)

## Synopsis

### Element Information

plugin | ogg
author | Wim Taymans <wim@fluendo.com>
class | Codec/Muxer

### Element Pads

name | sink_%d
direction | sink
presence | request
details | video/x-theora
| audio/x-vorbis
| audio/x-flac
| audio/x-speex
| audio/x-celt
| application/x-ogm-video
| application/x-ogm-audio
| video/x-dirac
| video/x-smoke
| text/x-cmml, encoded=(boolean)true

name | src
direction | source
presence | always
details | application/ogg

## Details

### GstOggMux

    typedef struct _GstOggMux GstOggMux;

The ogg muxer object structure.

## Property Details

### The `"max-delay"` property

      "max-delay"                guint64               : Read / Write

Maximum delay in multiplexing streams.

Default value: 500000000

### The `"max-page-delay"` property

      "max-page-delay"           guint64               : Read / Write

Maximum delay for sending out a page.

Default value: 500000000

## See Also

oggdemux